/*
    ja lekker nuttig ofzo die kode drbij.
    moet volgens de rules, maar niet dat iemand dr wat aan heeft ofzow
    naja, zie ook maar....
    best vet ingewikkeld, deze kode. poeh zeg nounou
    (en nee, je krijgt ons demosysteem dus niet)
*/

#include <ads3.h>

void main(int argc , char** argv)
{
    ads_init(argc,argv);
    ads_openpak("zooi.pak");
    ads.endmessage="                                                                     OPWINDEND?\n";

    printf(" ù loading & decrunching graphics\n");
    dword* komns=ads_loadpcx24to32("komns.pcx");
    dword* zoja=ads_loadpcx24to32("zoja.pcx");
    dword* legnu=ads_loadpcx24to32("legnu.pcx");
    dword* handen=ads_loadpcx24to32("handen.pcx");
    dword* klaar=ads_loadpcx24to32("klaar.pcx");
    dword* tit=ads_loadjpg24to32("tit.jpg");
    dword* nuvoel=ads_loadpcx24to32("nuvoel.pcx");
    dword* aardbei=ads_loadpcx24to32("aardbei.pcx");
    dword* shots=ads_loadpcx24to32("shots.pcx");
    dword* greets=ads_loadpcx24to32("greets.pcx");

    dword* order[10];
    order[0]=komns;
    order[1]=zoja;
    order[2]=legnu;
    order[3]=handen;
    order[4]=klaar;
    order[5]=tit;
    order[6]=nuvoel;
    order[7]=aardbei;
    order[8]=shots;
    order[9]=greets;
    order[10]=(dword*)ads_malloc(640*480*4);
    order[11]=order[10];
    order[12]=order[10];

    printf(" ù loading some music\n");
    ads_loadmodule("mooi.xm");

    ads_setvesamode(640,480,32);
    ads_clspage(order[10],0);
    ads_playmodule();

    do {
        memcpy(vscreen,order[ads.position],640*480*4);
        int r=ads.row*4;
        if(r>127) r=255-r;
        if(ads.position==5) r=196-ads.row*3;
        ads_fadepage(vscreen,r);
        ads_showpage(vscreen);
    } while (ads.position<12);

    ads_deinit();
}
